#ifndef CUTSCENE_H
#define CUTSCENE_H

#include "Object.h"
#include "Parser.h"

#include <queue>

class CutScene : public Object {
public:
	CutScene(List *info, int x, int y);
	~CutScene();

	virtual Object *copy();

	void load(List *info);
	void update() { _keyTimer++;}
	void draw() {;}
	void collide( Object* o );
	void control();

	void activate();
private:
	bool _active;
	std::queue<List *> _scene;
	std::queue<int> _waitTime;

	int _keyTimer;

	void runScene();

};

#endif
